System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 All the dynamic members are not designed to be thread safe. This class cannot be used parallely in multiple thread for XPath evaluation. System.Object Represents a compiled XPath expression that is ready for evaluation. This class is mainly used to avoid multiple-time compilation of XPath expression string. To create XPathExpression instance, is used. To be added.
- Method
  System.Void `` `` To be added. An instance that is used to sort results. Indicates this instance that the evaluation result of this expression must be sorted in the specified order. With this IComparer parameter, it is possible to sort result values in custom sorting. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` A or instance that represents an XPath expression. An value that indicates if the sorting is done in ascending or descending. An value that indicates the character case ordering (lower-first, upper-first or ignore the case). A string that represents language that is used for case order evaluation. A value that indicates if the sorting is done by string comparison or numeric comparison. Indicates this instance that the evaluation result of this expression must be sorted in the specified order. Sorting feature is typically used internally in XSLT "for-each" expression. Thus, this method is designed to be capable of processing XSLT conformant sorting. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XPath.XPathExpression Clones this instance and returns the copy. An XPathExpression that is the copy of this instance. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XPath.XPathExpression `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Xml.XPath.XPathExpression `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.String This property is a string representation of this XPath expression. The string that represents the XPath expression. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.XPath.XPathResultType Represents the return type of this XPath expression. An value that indicates the return type. The return type varies for each XPath expression and it might be . For example, the return type of a variable binding expression (e.g. "$foo") can be anything. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` an to be used as XPath evaluation context. Sets an instance as an XPath evaluation context, especially to provide namespace mappings in XPath.

  This method sets an XmlNamespaceManager as XPath (and thus XSLT) evaluation context. This class might provide other XSLT context information such as current whitespace preservation value and current variable bindings. ( is derived from XmlNamespaceManager.)

  To evaluate compiled XPath expression that was originally just a string that might contain arbitrary namespace prefixes, this class requires a "namespace context" before evaluating prefixed XPath expression. The argument XmlNamespaceManager has a mapping from prefix (that might be used in XPath expression string) and namespace URI. Without this information, XPath evaluation might result in an error (since it cannot determine the namespace URI for the prefix).

  1.0.5000.0
  2.0.0.0